<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\SudaniSubscription;
use App\User;
use App\Exceptions\FEException;
use App\Helpers\FileManager;
use App\Http\Resources\UserResource;
use App\Helpers\Functions;
use Hash;
use App\Setting;
use Exception;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Cache;

class SudaniSubscriptionController extends Controller
{





   public static  function indexSudani(){
   
    $sudaniSubscription = new SudaniSubscription();
    
    $result = $sudaniSubscription->checkSubscription("249110012403");
    return $result;
        
}

public  function GetToken(){
  $sudaniSubscription = new SudaniSubscription();
  return response()->json(__($sudaniSubscription->token()), 200);
 
}
public function addUsersToDashboard(Request $request){


       

  $sudaniSubscription = new SudaniSubscription();
  $phone249 = Functions::getPhone249($request->phone);

  $user = User::where('mobile', $phone249)->first();
 
  $result = $sudaniSubscription->checkSubscription($user->mobile);
  $sudaniSubscription->Dashboard($user->mobile,$result['status']);
  $user->status = $result['status'];
          $user->save();
          return response()->json(__('Logged out successfully.'), 200);

}

public function GetAllUsers(){
  $users = User::where('id','>' , '2')->select('mobile AS phone' )->get();  
  return response()->json($users);
}
// public function addUsersToDashboard(){
//   $users = User::select('mobile', 'status')->get();  

//   $total = 0;
//   $sudaniSubscription = new SudaniSubscription();
//   foreach ($users as $user) {
//       if($user->mobile){
       
//         //return " ok";
//         $result = $sudaniSubscription->checkSubscription($user->mobile);
      
//           $sudaniSubscription->Dashboard($user->mobile,$result['status']);
//           $user->status = $result['status'];
//           $user->save();
//           if( $result['status']){$total= $total +1;}
         
//       }
     

//   }
//   $sudaniSubscription->DashboardTotalCharging($total);
//   return "Done";
// }



   public function loginSubscriber(Request $request){
   
      $request->validate([
         'phone' => ['required', 'string', 'regex:/^(0\d{9}|249\d{9}|\d{9})$/'],
     ], [
         'regex' => 'الرقم غير صحيح',
         'string' => 'The Phone number is not valid.',
         'required' => 'ادخل رقم الهاتف'
     ]);

     //return $request->phone;
     $phone249 = Functions::getPhone249($request->phone);
   

       $sudaniSubscription = new SudaniSubscription();
      //return " ok";
      $result = $sudaniSubscription->checkSubscription($phone249);
       //update Dashboard
        $sudaniSubscription->Dashboard($phone249,$result['status']);
     
    if($result['status']){

      $user = User::where('mobile', $phone249)->first();
      
      if($user == null){
        
        $user = User::create([
            'name' => $phone249,
            'mobile' => $phone249,
            'email' => $phone249.'@nxtlevel.com',
            'is_admin' => 1,
            'status' => 1,
            'password' => bcrypt($phone249),
            'verifyToken' => Str::random(40),
        ]); 
      $user->assignRole('TZARole');

      }
      
      if($user->status == false){
         $user->status = true;
         $user->save();
       }
       Auth::login($user);
      return redirect('/');

      }else{
        return back()->withErrors(['phone' => 'لست مشترك الرجاء التأكد من رقم الهاتف او الاشتراك']);
      }
   }

   public function Unsubscribe(){
  
    $user =Auth::user();
   
    if ($user === null) {
        return redirect('/');
    }

    $phone = $user->mobile;
    
     $phone249 = Functions::getPhone249($phone);

     $sudaniSubscription = new SudaniSubscription();
     
     $result = $sudaniSubscription->unsubscribe($phone249);
      $sudaniSubscription->Dashboard($phone249,$result['status']);
     Auth::logout();
     return redirect('/');
   }
     

   public function UpdateUser($phone){
      
      if(strlen($phone)== 8){
         $phone = '2491'.$phone; 
      }
      
      $phone249 = Functions::getPhone249($phone);
     
  
      $sudaniSubscription = new SudaniSubscription();
      $result = $sudaniSubscription->checkSubscription($phone249);
       $sudaniSubscription->Dashboard($phone249,$result['status']);
    
         $user = User::where('mobile', $phone249)->first();
         if($user == null){
           $user = User::create([
               'name' => $phone249,
               'mobile' => $phone249,
               'email' => $phone249.'@nxtlevel.com',
               'is_admin' => 1,
               'status' => 1,
               'password' => bcrypt($phone249),
               'verifyToken' => Str::random(40),
           ]);
          
           //return $user;
   
         $user->assignRole('TZARole');
        
         Auth::login($user);
         return redirect('/');
         }
         
         if($user->status == false){
            $user->status = true;
            $user->save();
          }
          Auth::login($user);
   return redirect('/');
   }
    
   public function init(Request $request){

    
     //return $request->phone;
     $phone249 = Functions::getPhone249($request->phone);
     if($phone249 == null){
      return back()->with("error","رجاء ادخال رقم صحيح") ->with('InitPay' ,"ادخل الرقم سواني");;
     }

     $sudaniSubscription = new SudaniSubscription();
     $result = $sudaniSubscription->initiate($phone249);

     if($result['status']){
          return   back()->with('verify' , "أدخل الرمز مرسل في رساله")
          ->with('requestId' , $result['requestId'])
          ->with('phone' , $phone249);
      
     }

      if($result['responseCode'] == 106){
      
         return  back()->with('error', "الرقم خطأ")->with('InitPay',"sudani الرجاء التأكد ان الرقم تابع لشركة ")
         ->with('phone' , $phone);
     }

     return $result;  
     
   }
  
   public function verify(Request $request){
      
     if($request->otp== null || $request->otp>10000){
      return back()->with('verify', "أدخل الرمز مرسل في رساله")
      ->with('requestId', $request->requestId)
      ->with('phone' , $request->phone)->with('error,رجاء ادخال الرمز');

     }

     $phone249 = Functions::getPhone249($request->phone);
     //return $request->phone;
    
     $sudaniSubscription = new SudaniSubscription();

     $result = $sudaniSubscription->verify($request->otp, $request->requestId);

      $sudaniSubscription->Dashboard($phone249,$result['status']);
   
     if($result['status'] || $result['responseCode'] == 111 ){
      $user = User::where('mobile', $phone249)->first();
      if($user == null){
        $user = User::create([
            'name' => $phone249,
            'mobile' => $phone249,
            'email' => $phone249.'@nxtlevel.com',
            'is_admin' => 1,
            'status' => 1,
            'password' => bcrypt($phone249),
            'verifyToken' => Str::random(40),
        ]);

        //return $user;

      $user->assignRole('TZARole');
      }
      
      if($user->status == false){
         $user->status = true;
         $user->save();
       }

   
       Auth::login($user);
      return redirect('/');

       }

       if( $result['responseCode'] == 105){
         return back()->with('verify', "ادخل الرمز مرسل اليك من جديد")
         ->with('requestId', $request->requestId)
         ->with('phone' , $request->phone)->with('error',"  الرمز غير صحيح");
       }
       
       }


       public function PushNotifiSD(Request $request){


        $sudaniSubscription = new SudaniSubscription();
        $phone = $request->msisdn;
        $sudaniSubscription->DashboardNotification($request);
        $user = User::where('mobile', $phone )->first();
       
        if($user != null){
        if($request->status == 0){
            $sudaniSubscription->Dashboard($phone,false);
            $user->status = 0;
            $user->save();
        }else{
         
            $sudaniSubscription->Dashboard($phone,true);
            
            $user->status = 1;
            $user->save();

        }
        return  ["responseMessage "=> "successful" ,
         "responseStatus"=> true ,
         "responseCode" =>200];

    }else{
        return  ["responseMessage "=> "failed" , "responseStatus"=> false , "responseCode" =>0];

    }


        return  ["Result "=> "data has fdsfdskds" , "phone"=> $phone];
    
    }

    public function redirect(){
      if(isset($_GET['phoneNumber'])){

        $phone =  $_GET['phoneNumber'];
      
        return $this->UpdateUser($phone);   
    }
   

    }

       public function hesudani(){
        
            return  back()->with('InitPay' ,"ادخل الرقم سواني");
            // $content = "<html>";
            // $content = $content . "<body onload='document.forms[\"form\"].submit()'>";
            // $content = $content . "<form name='form' action='" . env("MIX_SUDANI_HE_URL") . "' method='post'>";
            // $content = $content . "<input type='hidden' name='serviceCode' value='" . env("MIX_SUDANI_SERVICE_CODE") . "'>";
            // $content = $content . "<input type='hidden' name='transactionID' value=''>";
            // $content = $content . "</form>";
            // $content = $content . "</body>";
            // $content = $content . "</html>";
            // return response(['content' => $content], 200)
            //     ->header('Content-Type', 'text/html');
        
       }

  
 
}



