<?php

namespace App\Http\Controllers;

use App\Audio;
use App\AudioLanguage;
use App\Genre;
use App\Audiogenre;
use App\Menu;
use App\WorldCupLive;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Intervention\Image\Facades\Image;

class WorldCupLiveController extends Controller
{

    public function index(Request $request)
    {
       
        if($request->search != NULL){
            $lives = DB::table('world_cup_lives')->where('title', 'like','%' . $request->search . '%')->paginate(12);
        }else{
            $lives = DB::table('world_cup_lives')->paginate(12);

        }
        return view('admin.worldcuplive.index', compact('lives'));
    }

    public function edit($id)
    {
        $live = WorldCupLive::findOrFail($id);  

        $img_l = [0=>'First Image', 
                    1=>'Second Image',
                2=>'Third Image'];

        return view('admin.worldcuplive.edit', compact('live' ,'img_l'));

    }

    public function update(Request $request, $id){
        $live = WorldCupLive::findOrFail($id);
        $input = $request->all();

        if ($file = $request->file('image1')) {
          
            $validator = Validator::make(
                [
                    'image1' => $request->image1,
                    'extension' => strtolower($request->image1->getClientOriginalExtension()),
                ],
                [
                    'image1' => 'required',
                    'extension' => 'required|in:jpg,jpeg,png,webp',
                ]
            );
            if ($validator->fails()) {
                return back()->with('deleted','Invalid file format Please use jpg,webp,jpeg and png image format !')->withInput();
            }else{
                $image = "image1_" . time() . $file->getClientOriginalName();
                if ($live->image1 != null) {
                    $content = @file_get_contents(public_path() . '/images/live/' . $live->image1);
                    if ($content) {
                        unlink(public_path() . "/images/live/" . $live->image1);
                    }
                   
                      
                }
                $img = Image::make($file->path());

                $img->resize(1534, 450, function ($constraint) {
                    $constraint->aspectRatio();
                });
                $img->save(public_path('/images/live') .'/'. $image);
         
                  
                 $input['image1'] = $image;
             
             }
          
        }

        // Second image
        
        if ($file = $request->file('image2')) {
          
            $validator = Validator::make(
                [
                    'image2' => $request->image2,
                    'extension' => strtolower($request->image2->getClientOriginalExtension()),
                ],
                [
                    'image2' => 'required',
                    'extension' => 'required|in:jpg,jpeg,png,webp',
                ]
            );
            if ($validator->fails()) {
                return back()->with('deleted','Invalid file format Please use jpg,webp,jpeg and png image format !')->withInput();
            }else{
                $image = "image2_" . time() . $file->getClientOriginalName();
                if ($live->image2 != null) {
                    $content = @file_get_contents(public_path() . '/images/live/' . $live->image2);
                    if ($content) {
                        unlink(public_path() . "/images/live/" . $live->image2);
                    }
                   
                      
                }
                $img = Image::make($file->path());

                $img->resize(1534, 450, function ($constraint) {
                    $constraint->aspectRatio();
                });
                $img->save(public_path('/images/live') .'/'. $image);
         
                  
                 $input['image2'] = $image;
                
             }
          
        }

        //third Image
        if ($file = $request->file('image3')) {
          
            $validator = Validator::make(
                [
                    'image3' => $request->image3,
                    'extension' => strtolower($request->image3->getClientOriginalExtension()),
                ],
                [
                    'image3' => 'required',
                    'extension' => 'required|in:jpg,jpeg,png,webp',
                ]
            );
            if ($validator->fails()) {
                return back()->with('deleted','Invalid file format Please use jpg,webp,jpeg and png image format !')->withInput();
            }else{
                $image = "image3_" . time() . $file->getClientOriginalName();
                if ($live->image3 != null) {
                    $content = @file_get_contents(public_path() . '/images/live/' . $live->image3);
                    if ($content) {
                        unlink(public_path() . "/images/live/" . $live->image3);
                    }
                   
                      
                }
                $img = Image::make($file->path());

                $img->resize(1534, 450, function ($constraint) {
                    $constraint->aspectRatio();
                });
                $img->save(public_path('/images/live') .'/'. $image);
         
                  
                 $input['image3'] = $image;
                
             }
          
        }
       
        $live->update($input);
        return redirect('/admin/worldcuplive')->with('updated', 'live has been updated');
    }


}